> ## Documentation Index
> Fetch the complete documentation index at: https://docs.didit.me/llms.txt
> Use this file to discover all available pages before exploring further.

# API para listar informes a la UIF

> Lista los informes regulatorios de toda la aplicación con la API de Didit. Puedes filtrar la lista por estado, tipo de informe y caso.



Prompt de la API para listar informes
        Copiar el prompt al portapapeles



      
      

\<pre>

\`List FIU reports across the application through the Management API.

Endpoint:
GET https://verification.didit.me/v3/organization/{organization_id}/application/{application_id}/regulatory-reports/

Authentication:
Use the x-api-key header with my Didit API key.

Query params:
\- limit (default 50), offset (default 0)
\- status=DRAFT|VALIDATED|FINALIZED
\- report_type=SAR|STR|CTR|TTR|UTR|IFT|CBR|TFR
\- case=<case-uuid>

Example call:
curl -X GET "https://verification.didit.me/v3/organization/{organization_id}/application/{application_id}/regulatory-reports/?status=DRAFT" \
-H "x-api-key: YOUR_API_KEY"

Response 200: {"count", "next", "previous", "results": [RegulatoryReportDetail, ...]}

Failure modes:
\- 401/403 - auth/permission errors (requires read:cases).

Side effects: none, pure read.

For the full integration shape, see /integration/integration-prompt.`

\</pre>



      
      

Pegar en

Enumera los informes de toda la aplicación, con los mismos datos que muestra la página independiente **Reports** de la consola. Este es el endpoint que debes consultar periódicamente para obtener una cola de informes en estado DRAFT pendientes de validación y finalización.## Contenido relacionado- [Crear un informe independiente](https://docs.didit.me/es/management-api/regulatory-reports/create-for-case.md)
- [Validar un informe](https://docs.didit.me/es/management-api/regulatory-reports/validate.md)
- [Finalizar un informe](https://docs.didit.me/es/management-api/regulatory-reports/finalize.md)
- [Descargar un informe](https://docs.didit.me/es/management-api/regulatory-reports/download-url.md)
- [Eliminar un informe](https://docs.didit.me/es/management-api/regulatory-reports/delete.md)


## OpenAPI

````yaml es/openapi-25.json GET /v3/organization/{organization_id}/application/{application_id}/regulatory-reports/
openapi: 3.0.0
info:
  version: 3.0.0
  title: Didit Verification API
  description: API de verificación de identidad. Autentícate con el encabezado x-api-key.
servers:
  - url: https://verification.didit.me
security: []
tags: []
paths:
  /v3/organization/{organization_id}/application/{application_id}/regulatory-reports/:
    get:
      tags:
        - Regulatory Reports
      summary: Listar informes
      description: >-
        Lista de informes FIU de toda la aplicación, con filtro opcional por
        status, report_type o case.
      operationId: list_regulatory_reports
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: UUID de la organización.
        - name: application_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: UUID de la aplicación.
        - name: limit
          in: query
          schema:
            type: integer
            default: 50
            minimum: 1
          description: Tamaño de página.
        - name: offset
          in: query
          schema:
            type: integer
            default: 0
            minimum: 0
          description: Desplazamiento, empezando en cero.
        - name: status
          in: query
          schema:
            type: string
            enum:
              - DRAFT
              - VALIDATED
              - FINALIZED
          description: Filtrar por estado.
        - name: report_type
          in: query
          schema:
            type: string
            enum:
              - SAR
              - STR
              - CTR
              - TTR
              - UTR
              - IFT
              - CBR
              - TFR
          description: Filtra por tipo de informe.
        - name: case
          in: query
          schema:
            type: string
            format: uuid
          description: Filtrar los informes de este caso.
      responses:
        '200':
          description: Informes paginados de toda la aplicación.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RegulatoryReportList'
      security:
        - ApiKeyAuth: []
      x-codeSamples:
        - lang: curl
          label: curl
          source: >-
            curl -X GET
            'https://verification.didit.me/v3/organization/11111111-2222-3333-4444-555555555555/application/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/regulatory-reports/'
            \
              -H 'x-api-key: YOUR_API_KEY'
        - lang: python
          label: Python
          source: |-
            from didit import Didit

            # Reads DIDIT_API_KEY, DIDIT_ORGANIZATION_ID
            # and DIDIT_APPLICATION_ID.
            client = Didit()

            for item in client.regulatory_reports.list():
                print(item)
        - lang: javascript
          label: Node.js
          source: |-
            import Didit from "@didit-protocol/sdk-node";

            // Reads DIDIT_API_KEY, DIDIT_ORGANIZATION_ID
            // and DIDIT_APPLICATION_ID.
            const didit = new Didit();

            for await (const item of didit.regulatoryReports.list()) {
              console.log(item);
            }
        - lang: go
          label: Go
          source: "ctx := context.Background()\n// Reads DIDIT_API_KEY, DIDIT_ORGANIZATION_ID\n// and DIDIT_APPLICATION_ID.\nclient := didit.NewClient()\n\niter := client.RegulatoryReports.ListAutoPaging(ctx, didit.RegulatoryReportsListParams{})\nfor iter.Next() {\n\tfmt.Printf(\"%+v\\n\", iter.Current())\n}\nif err := iter.Err(); err != nil {\n\tlog.Fatal(err)\n}"
        - lang: java
          label: Java
          source: |-
            import me.didit.Didit;

            // Reads DIDIT_API_KEY, DIDIT_ORGANIZATION_ID
            // and DIDIT_APPLICATION_ID.
            Didit client = new Didit();

            for (var item : client.regulatoryReports().list()) {
                System.out.println(item);
            }
        - lang: php
          label: PHP
          source: |-
            <?php

            require 'vendor/autoload.php';

            use Didit\DiditClient;

            // Reads DIDIT_API_KEY, DIDIT_ORGANIZATION_ID
            // and DIDIT_APPLICATION_ID.
            $didit = new DiditClient();

            foreach ($didit->regulatoryReports->list() as $item) {
                print_r($item->toArray());
            }
        - lang: ruby
          label: Ruby
          source: |-
            require "didit"

            # Reads DIDIT_API_KEY, DIDIT_ORGANIZATION_ID
            # and DIDIT_APPLICATION_ID.
            didit = Didit::Client.new

            didit.regulatory_reports.list.auto_paging_each do |item|
              puts item.to_h
            end
        - lang: csharp
          label: .NET
          source: >-
            using System;

            using System.Text.Json;

            using Didit;


            // Reads DIDIT_API_KEY, DIDIT_ORGANIZATION_ID

            // and DIDIT_APPLICATION_ID.

            using var client = new DiditClient();


            await foreach (var item in await
            client.RegulatoryReports.ListAsync())

            {
                Console.WriteLine(JsonSerializer.Serialize(item));
            }
components:
  schemas:
    RegulatoryReportList:
      type: object
      properties:
        count:
          type: integer
          description: Número de filas coincidentes, limitado a 100 por rendimiento.
        next:
          type: string
          nullable: true
        previous:
          type: string
          nullable: true
        results:
          type: array
          items:
            $ref: '#/components/schemas/RegulatoryReportDetail'
    RegulatoryReportDetail:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
        case_uuid:
          type: string
          format: uuid
        case_number:
          type: string
          nullable: true
        report_type:
          type: string
          enum:
            - SAR
            - STR
            - CTR
            - TTR
            - UTR
            - IFT
            - CBR
            - TFR
        report_type_display:
          type: string
        report_code:
          type: string
          description: >-
            Código de informe goAML derivado de report_type, p. ej., STR, CTR,
            BCR.
        report_number:
          type: string
          nullable: true
        status:
          type: string
          enum:
            - DRAFT
            - VALIDATED
            - FINALIZED
        status_display:
          type: string
        jurisdiction:
          type: string
          minLength: 2
          maxLength: 2
        rentity_id:
          type: string
          nullable: true
          description: ID de entidad informante emitido por la UIF.
        rentity_branch:
          type: string
          nullable: true
        submission_code:
          type: string
          enum:
            - E
            - M
        entity_reference:
          type: string
          nullable: true
        fiu_ref_number:
          type: string
          nullable: true
        currency_code_local:
          type: string
          minLength: 3
          maxLength: 3
          nullable: true
        submission_date:
          type: string
          format: date-time
          nullable: true
        reporting_person:
          type: object
        location:
          type: object
        reason:
          type: string
          nullable: true
        action:
          type: string
          nullable: true
        activity:
          type: string
          nullable: true
        narrative:
          type: object
          description: Secciones narrativas de las cinco W.
          properties:
            who:
              type: string
            what:
              type: string
            when:
              type: string
            where:
              type: string
            why:
              type: string
            how:
              type: string
        report_indicators:
          type: array
          items:
            type: string
        included_fields:
          type: array
          items:
            type: string
        transactions:
          type: array
          items:
            type: string
            format: uuid
        validation_errors:
          type: array
          description: >-
            Resultado de la validación más reciente; cada entrada es un objeto
            con field y message.
          items:
            type: object
            properties:
              field:
                type: string
              message:
                type: string
        validated_at:
          type: string
          format: date-time
          nullable: true
        finalized_at:
          type: string
          format: date-time
          nullable: true
        created_by_email:
          type: string
          nullable: true
        created_by_name:
          type: string
          nullable: true
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        La clave de API de tu aplicación, que encontrarás en Developers -> API
        keys en la Business Console. La clave principal tiene acceso completo.
        Una clave con nombre puede tener un alcance limitado: ninguno, lectura o
        escritura por recurso, limitada a algunos flujos o a sesiones aprobadas,
        a una lista de direcciones IP y a una fecha de caducidad. 401 significa
        que la clave es incorrecta, se revocó o expiró; 403 significa que no se
        envió ninguna clave, que la clave no tiene acceso a este recurso o
        acción, o que la solicitud provino de una dirección fuera de su lista de
        IP; 404 en una ruta de sesión significa que la sesión está fuera de los
        flujos o estados de la clave. Una clave sin acceso a contenido
        multimedia recibe las URL de imágenes, videos y PDF como null, y una
        clave sin permiso de escritura en sesiones recibe los enlaces y tokens
        de sesión como null. Consulta https://docs.didit.me/console/api-keys.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.